Bug 151202 - I18N - support multibyte in project name and path
I18N - support multibyte in project name and path
Status: RESOLVED INVALID
Product: javafx
Classification: Unclassified
Component: Unsupported
6.x
Sun All
: P2 (vote)
: 7.1
Assigned To: Anton Chechel
issues@javafx
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 19:17 UTC by Ken Frank
Modified: 2011-10-21 08:00 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
image (108.26 KB, image/gif)
2008-10-23 19:17 UTC, Ken Frank
Details
image (57.88 KB, image/gif)
2008-10-23 19:21 UTC, Ken Frank
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2008-10-23 19:17:21 UTC
since project name becomes a path, really its same situation 

1. am in ja locale on windows

2. create fx project and have some ja characters be in project name;
this is legal for java; if its not legal for fx itself, then this can
be closed, that is, if it not work on equivalent situation using fx
from command line and not using nb, but if it works there it should work
in nb.

3. program opens with package statement that has the project name/path in it 

4. clean and build or run - see the output in fxmbpkg.gif

5. comment out the package name - it compiles ok now but not run ok -
see fxmbpath.gif and note the mbyte in the error msg is not correct looking
mbyte compared to editor - so this might be another case of encoding
handling for both of sitation 3 and 5.

when in project with en project name/paths/pkg name - and then comment out
package name statement in code, it still runs ok.
Comment 1 Ken Frank 2008-10-23 19:17:54 UTC
Created attachment 72556 [details]
image
Comment 2 Ken Frank 2008-10-23 19:21:07 UTC
Created attachment 72557 [details]
image
Comment 3 Andrey Yamkovoy 2008-10-29 11:33:21 UTC
Build system > Adam
Comment 4 Adam Sotona 2008-10-30 16:07:07 UTC
Project name affects many part, it is used for folder name, build artifacts are derived from the name, many descriptors
are referencing the name in various encodings and various ways of escaping, it is used in URLs as well as in MIDP.
Is is a very complex task to assure correct functionality of multibytes in the whole JavaFX buildsystem.

I am changing this bug to a new enhancement for the future releases. Multibyte support in project name was never
supported for JavaFX projects.
Comment 5 Ken Frank 2008-10-31 00:24:19 UTC
Adam,
thanks for clarifying.

I think this makes sense as enhancement since as far as I know, mbyte is
ok for java itself and nb java projects, to have in project names, paths, etc.
But I don't know if fx itself allows this at command line/non nb usage 
ie if a fx file can have non ascii in file name or path.

If yes, then enhancement is ok; if not, then issue could be closed,
since if fx not support it, fx plugin would not either.

ken.frank@sun.com
Comment 6 Masaki Katakai 2009-03-13 01:40:06 UTC
I think this issue can be closed as wontfix, I don't think using multibyte in such fields is common.

But please add error messages and do not allow when user is trying to input multibytes in
project name and project path on New Project and New File wizard.

Ruby project is doing such checks - refer bug 99058.
Comment 7 David Strupl 2011-10-19 12:05:17 UTC
Cleaning bugzilla categories ....
Comment 8 Anton Chechel 2011-10-21 08:00:54 UTC
JavaFX 1.3 is no longer supported.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo